<?php
/**
 * @link              https://wupoplugins.com
 * @since             1.0.0
 * @package           wugrat
 *
 * @wordpress-plugin
 * Plugin Name:       WUPO Group Attributes
 * Description:       Grouping of attributes for WooCommerce to present your products in the most understandable way.
 * Plugin URI:        https://wupoplugins.com/wupo-group-attributes
 * Version:           1.2.0
 * Author:            WUPO Plugins
 * Author URI:        https://wupoplugins.com
 * Package Name:      wugrat
 * Package Name Free: wugrat
 * Text Domain:       wupo-group-attributes
 * Domain Path:       /languages
 * Requires at least: 5.0.0
 * Tested up to:      5.5.1
 * WC requires at least: 3.0.0
 * WC tested up to:   4.5.2
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

/**
WUPO Group Attributes is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.

WUPO Group Attributes is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with WUPO Group Attributes. If not, see http://www.gnu.org/licenses/gpl-2.0.txt.
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define('WPGRAT_NAME', 'wugrat');
define('WPGRAT_VERSION', '1.0.0');
if (!defined( 'WPGRAT_BASENAME')) {
	define('WPGRAT_BASENAME', plugin_basename(__FILE__));
}

// Activate logging
require_once plugin_dir_path( __FILE__ ) . 'includes/wupo-logger.php';

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function activate_wugrat() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-wugrat-activator.php';
    Wugrat_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function deactivate_wugrat() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-wugrat-deactivator.php';
    Wugrat_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wugrat' );
register_deactivation_hook( __FILE__, 'deactivate_wugrat' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wugrat.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 */
function run_wugrat() {
	if (class_exists('Wugrat_Admin')) {
		?>
		<div class="notice notice-error is-dismissible">
			<p><?php echo __("You need to deactivate the pro version of WUPO Group Attributes for WooCommerce first", 'wupo-group-attributes'); ?></p>
		</div>
		<?php

		exit;
	}

    $plugin = new Wugrat();
    $plugin->run();
}
run_wugrat();
